unit rDBImport_strings;

{<
  rDBImport_strings is unit containing resource strings for rDBImport dialog.

  @author(Rosinsky Software - <http://www.rosinsky.cz/delphi>)
  @created(Jan 2006)
  @lastmod(Nov 2019)
}

interface

resourcestring
  // ***************************************************
  sNoTableOpen = 'Select and open table with data to import.';
  sNoImportFields = 'Select fields to import.';
  sNoCompareFields = 'Select fields to compare for update records.';
  sSourceConnectionErr = 'Source connection error. Connection string: ';
  sSourceTableErr = 'Source data error. Table name: ';
  sCheckData = 'Checking of data';
  sCheckResult = 'Checking result: ';
  sCheckResultCount = 'To import in total: %d, to add: %d, to edit: %d, to skip: %d';
  sImportData = 'Import of data';
  sImportResult = 'Results of import: ';
  sImportResultCount = 'To import in total: %d, added: %d, edited: %d, skipped: %d, errors: %d, warnings: %d';
  sImportResultCount2 = 'To import in total: %d, added: %d, edited: %d, kept unchanged: %d, skipped: %d, errors: %d, warnings: %d';  
  sNotFoundRec = 'Not found records (will be skipped or added during import)';
  sLookupWarning = 'Warning: Value "%s" not found in auxilary table for field "%s".';
  sImportedErrorData = 'Imported values caused error:';
  sImportProcInfo = 'Record %d of %d (%d errors; %d warnings)';
  sImportMoveItemsW = 'Place cursor to combobox witch should me moved as first.';
  sCalcUnknownCmd = 'Unknown command "%s" in row no. %d';
  sCalcUnknownField = 'Unknown field "%s" in row no. %d';
  sCalcContainErrorsW = 'Calculation definition contains errors. Invalid rows will be ignored.';

implementation

end.
